CVC4::language::input Namespace Reference

## Enumerations

enum | Language { LANG_AUTO , LANG_SMTLIB_V1 , LANG_SMTLIB_V2 , LANG_TPTP , LANG_CVC4 , LANG_Z3STR , LANG_MAX }

## Functions

std::ostream & | operator<< (std::ostream &out, Language lang)

## Enumeration Type Documentation

## Language

enum CVC4::language::input::Language

Enumerator
LANG_AUTO | Auto-detect the language.
LANG_SMTLIB_V1 | The SMTLIB v1 input language.
LANG_SMTLIB_V2 | The SMTLIB v2 input language.
LANG_TPTP | The TPTP input language.
LANG_CVC4 | The CVC4 input language.
LANG_Z3STR | The Z3-str input language.
LANG_MAX | LANG_MAX is > any valid InputLanguage id.

Definition at line 33 of file language.h.

## Function Documentation

## operator<<()

std::ostream & CVC4::language::input::operator<< | ( | std::ostream & | out,
|  | Language | lang )

inline

Definition at line 65 of file language.h.

References LANG_AUTO, LANG_CVC4, LANG_SMTLIB_V1, LANG_SMTLIB_V2, LANG_TPTP, and LANG_Z3STR.